import requests

BASE = "http://127.0.0.1:5000/"

login = requests.post(BASE + 'login', {'username': 'leo', 'password': '123'})

token = login.json()['token']

print('Génération du token par une authentification correct: ')
print(token)
print("\n")

HEADERS = {"Authorization": f"Bearer {token}", 'token': token}

public = requests.get(BASE + "public")
print('Accès à la page public qui ne nécessite pas de token: ')
print(public.text)
print("\n")

auth = requests.get(BASE + 'auth', headers=HEADERS)
print('Accès à la page auth qui nécessite un token valide: ')
print(auth.text)
print("\n")

classes = requests.get(BASE + "classes", headers=HEADERS)
print("Les classes : ")
print(classes.json())
print("\n")

classes1 = requests.get(BASE + "classes/1", headers=HEADERS)
print("La classe 1 : ")
print(classes1.json())
print("\n")

eleve = requests.get(BASE + "2/5", headers=HEADERS)
print("L'eleve 5 de la classe 2 : ")
print(eleve.json())
print("\n")

requests.get(BASE + 'reset')
print('Reset de la session pour supprimer le token...')

login2 = requests.post(BASE + 'login', {'username': 'leo', 'password': 'azerty'})

print('Login avec un password qui ne générera pas de token... ')
print("\n")

public2 = requests.get(BASE + "public")
print('Accès à la page public qui ne nécessite pas de token: ')
print(public2.text)
print("\n")

auth2 = requests.get(BASE + 'auth')
print('Accès à la page auth qui nécessite un token valide: ')
print(auth2.json())
print("\n")




